Get business profile
const url = 'https://api.ultimateteam.ai/api/v1/tenant/business-profile';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/tenant/business-profile \ --header 'X-API-Key: <X-API-Key>'Return the current tenant’s business profile.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Successful Response
Wrapper response for business profile endpoints.
Attributes: data: The business profile payload.
object
Business profile fields returned by GET /tenant/business-profile.
Attributes: id: Unique profile identifier. tenant_id: Owning tenant UUID. name: Business name. description: Brief description of the business. industry: Industry classification. sub_industry: Sub-industry classification. stage: Business stage (e.g. seed, growth, scale). business_model: Revenue model (e.g. SaaS, marketplace). website_url: Business website URL. location: Physical location. employee_count: Number of employees. annual_revenue_range: Revenue range bucket. target_customer: Description of ideal customer. unique_value_proposition: Core UVP text. products_services: Products and services description. current_challenges: List of current business challenges.
object
Examplegenerated
{ "data": { "annual_revenue_range": "example", "business_model": "example", "current_challenges": [ "example" ], "description": "example", "employee_count": 1, "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "industry": "example", "location": "example", "name": "example", "products_services": "example", "stage": "example", "sub_industry": "example", "target_customer": "example", "tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "unique_value_proposition": "example", "website_url": "example" }}